From 3422698d2b959ce3b49fed8f30eb00fb176fc6f6 Mon Sep 17 00:00:00 2001
From: Guillaume Poirier <gpoirier@mplayerhq.hu>
Date: Mon, 31 Mar 2008 10:50:45 +0200
Subject: [PATCH] =?utf-8?q?fix=20shared=20libs=20on=20MacOSX
=20based=20on=20a=20patch=20by=20=C4=B0smail=20D=C3=B6nmez?=
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit

---
 configure |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/configure b/configure
index d1fa222..953d92d 100755
--- a/configure
+++ b/configure
@@ -463,6 +463,9 @@ if [ "$shared" = "yes" ]; then
         echo "SONAME=libx264-$API.dll" >> config.mak
         echo 'IMPLIBNAME=libx264.dll.a' >> config.mak
         echo 'SOFLAGS=-Wl,--out-implib,$(IMPLIBNAME) -Wl,--enable-auto-image-base' >> config.mak
+    elif [ "$SYS" = "MACOSX" ]; then
+        echo "SONAME=libx264.$API.dylib" >> config.mak
+        echo 'SOFLAGS=-dynamiclib -Wl,-single_module -Wl,-read_only_relocs,suppress' >> config.mak        
     else
         echo "SONAME=libx264.so.$API" >> config.mak
         echo 'SOFLAGS=-Wl,soname,$(SONAME)' >> config.mak
-- 
1.5.3.7

